{% include 'admin-layout.html' %}
{% from 'bootstrap/form.html' import render_form, render_field, render_form_row %}
{% block content %}


<!-- <div class="spinner-border" {% if show_loading %}style="display: block;"{% else %}style="display: none;"{% endif %} role="status">
  <span class="sr-only">Loading...</span>
</div> -->

<div class="container-fluid" id="contentall">

  <ul class="nav nav-tabs my-2">
    <li class="nav-item">
      <a class="nav-link" href="/train">Train</a>
    </li>
    <li class="nav-item">
      <a class="nav-link active" aria-current="page" href="/inference">Inference</a>
    </li>
  </ul>

  <h1><span class="badge badge-warning">Inference</span></h1>

  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card shadow my-4">
          <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Image</h6>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-6">
                <div class="card shadow my-4">
                  <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Uploading from local</h6>
                  </div>
                  <div class="container my-3">
                  <form action="/uploadimage" method="POST" enctype="multipart/form-data">
                    <div class="mb-3">
                      <label for="directory" class="form-label">Choose an image:</label>
                      <input type="file" class="form-control" name="file" , accept=".png, .jpg, .jpeg"/>
                    </div>
                    <button type="submit" class="btn btn-primary">Upload</button>
                  </form>
                </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <div class="card shadow my-4">
          <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Custom model</h6>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-6">
                <div class="card shadow my-4">
                  <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Uploading from local</h6>
                  </div>
                  <div class="container my-3">
                    <form action="/uploadmodel" method="POST" enctype="multipart/form-data">
                      <div class="mb-3">
                        <label for="directory" class="form-label">Choose a .zip file:</label>
                        <input type="file" class="form-control" id="directory" name="directory" accept=".zip" />
                      </div>
                      <button type="submit" class="btn btn-primary" onclick="loading();">Upload</button>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
{% endblock %}
<!-- Bootstrap core JavaScript-->
<script src="static/vendor/jquery/jquery.min.js"></script>
<script src="static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="static/vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="static/js/sb-admin-2.min.js"></script>
<script type="text/javascript" src="static/js/customscript.js"></script>


</body>

</html>